package com.inkasso.factoring.ledgermanagement.entity.vo;

import com.inkasso.factoring.ledgermanagement.entity.LedgerAccountBasicInfo;
import com.inkasso.factoring.ledgermanagement.entity.LedgerFundGoodsAssign;
import com.inkasso.factoring.ledgermanagement.entity.SupplierBankCardInfo;

import java.util.List;

/**
 * @Description : 分账管理信息vo类
 * @Author : L.Jia
 * @Date: 2021-11-26 16:39
 */
public class LedgerAccountInfoVo {

    /**
     * 分账基础信息
     */
    private LedgerAccountBasicInfo ledgerAccountBasicInfo;

    /**
     * 货物分配信息
     */
    private List<LedgerFundGoodsAssign> goodsAssignList;

    /**
     * 关联供应商银行卡账户
     */
    private List<SupplierBankCardInfo> supplierBankCardInfoList;


    public LedgerAccountBasicInfo getLedgerAccountBasicInfo() {
        return ledgerAccountBasicInfo;
    }

    public void setLedgerAccountBasicInfo(LedgerAccountBasicInfo ledgerAccountBasicInfo) {
        this.ledgerAccountBasicInfo = ledgerAccountBasicInfo;
    }

    public List<SupplierBankCardInfo> getSupplierBankCardInfoList() {
        return supplierBankCardInfoList;
    }

    public void setSupplierBankCardInfoList(List<SupplierBankCardInfo> supplierBankCardInfoList) {
        this.supplierBankCardInfoList = supplierBankCardInfoList;
    }

    public List<LedgerFundGoodsAssign> getGoodsAssignList() {
        return goodsAssignList;
    }

    public void setGoodsAssignList(List<LedgerFundGoodsAssign> goodsAssignList) {
        this.goodsAssignList = goodsAssignList;
    }
}
